ranges::composed< Second, First > Struct Template Reference
Functional

## Public Member Functions

constexpr | composed (Second second, First first)
constexpr auto return | composed::do_ (first_, second_, std::is_void< invoke_result_t< First &, Ts... >>{},(Ts &&) ts...)) noexcept(noexcept(decltype(CPP_AUTO_FUN_RETURNS_mutable &)(CPP_AUTO_FUN_RETURNS_mutable &))) -> decltype(CPP_AUTO_FUN_RETURNS_mutable &)
constexpr auto return | composed::do_ ((First &&) first_,(Second &&) second_, std::is_void< invoke_result_t< First &&, Ts... >>{},(Ts &&) ts...)) noexcept(noexcept(decltype(CPP_AUTO_FUN_RETURNS_mutable &&)(CPP_AUTO_FUN_RETURNS_mutable &&))) -> decltype(CPP_AUTO_FUN_RETURNS_mutable &&)
template<typename... Ts>
constexpr auto | operator() (Ts &&... ts) CPP_PP_CAT(CPP_PP_EAT_MUTABLE_
template<typename... Ts>
constexpr auto | operator() (Ts &&... ts) return composed
template<typename... Ts>
constexpr auto | operator() (Ts &&... ts) CPP_PP_CAT(CPP_PP_EAT_MUTABLE_